{ ... }:

{

    security.acme = {
        acceptTerms = true;
        email = "me@riley.lgbt";
    };

    services.nginx.enable = true;
    services.nginx.virtualHosts = {
        "riley.lgbt" = {
            listen = [{
                port = 443;
                addr = "77.169.117.112";
            }];
            enableACME = true;
            locations."/" = {
                 proxyPass = "http://localhost:3000";
                 extraConfig = ''
                     proxy_set_header Host $host;
                     proxy_buffering off;
                 '';
            };
        };
        "rly.cx" = {
            listen = [{
                port = 443;
                addr = "77.169.117.112";
            }];
            enableACME = true;
            locations."/" = {
                 proxyPass = "http://localhost:3000";
                 extraConfig = ''
                     proxy_set_header Host $host;
                     proxy_buffering off;
                 '';
            };
        };
    };

}
